import request from '@/utils/request'

// 查询用户来访记录列表
export function listUserVisitor(query) {
  return request({
    url: '/xq/userVisitor/list',
    method: 'get',
    params: query
  })
}

// 查询用户来访记录详细
export function getUserVisitor(id) {
  return request({
    url: '/xq/userVisitor/' + id,
    method: 'get'
  })
}

// 新增用户来访记录
export function addUserVisitor(data) {
  return request({
    url: '/xq/userVisitor',
    method: 'post',
    data: data
  })
}

// 修改用户来访记录
export function updateUserVisitor(data) {
  return request({
    url: '/xq/userVisitor',
    method: 'put',
    data: data
  })
}

// 删除用户来访记录
export function delUserVisitor(id) {
  return request({
    url: '/xq/userVisitor/' + id,
    method: 'delete'
  })
}
